For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Pricing Groups
      • POSTCreate Pricing Group
      • GETGet Pricing Group
      • DELDelete Pricing Group
      • PATCHUpdate Pricing Group Metadata
      • PUTUpdate Pricing Group Rates
      • POSTAssign Accounts To Pricing Group
      • DELUnassign Accounts From Pricing Group
LogoLogo
Contact SupportGet Started
API ReferencePricing Groups

List Pricing Groups

GET
/digital-banking/v1/pricing-groups
GET
/digital-banking/v1/pricing-groups
$curl https://api.modernfi.com/digital-banking/v1/pricing-groups \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "string",
4 "institution_id": "string",
5 "name": "string",
6 "description": "string",
7 "account_count": 1,
8 "interest_rate_tiers": [
9 {
10 "min_balance": "string",
11 "max_balance": "string",
12 "rate": "string",
13 "floating_spread": "string"
14 }
15 ],
16 "created_at": "string",
17 "updated_at": "string",
18 "accounts": [
19 {
20 "id": "string",
21 "title": "string"
22 }
23 ]
24 }
25]
List all pricing groups for the institution, including account counts and current rate tiers.
Was this page helpful?
Previous

Create Pricing Group

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
idstring
institution_idstring
namestring
descriptionstring or null
account_countinteger
Number of accounts currently assigned to this pricing group
interest_rate_tierslist of objects
created_atstring
updated_atstring
accountslist of objects
List of accounts assigned to this pricing group

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error